* This file cleans up the data and is provided by IPUMS along with the data extract

** Data extract pulled on May 24, 2015



set more off

clear
quietly infix              ///
  int     cntry     1-3    ///
  int     year      4-7    ///
  int     sample    8-11   ///
  double  serial    12-21  ///
  byte    urban     22-22  ///
  int     pernum    23-25  ///
  float   wtper     26-33  ///
  int     age       34-36  ///
  byte    sex       37-37  ///
  int     bplke     38-41  ///
  byte    school    42-42  ///
  byte    lit       43-43  ///
  byte    edattan   44-44  ///
  int     edattand  45-47  ///
  byte    yrschl    48-49  ///
  byte    educke    50-51  ///
using `"ipumsi_00002.dat"'

replace wtper    = wtper    / 100

format serial   %10.0f
format wtper    %8.2f

label var cntry    `"Country"'
label var year     `"Year"'
label var sample   `"IPUMS sample identifier"'
label var serial   `"Household serial number"'
label var urban    `"Urban-rural status"'
label var pernum   `"Person number"'
label var wtper    `"Person weight"'
label var age      `"Age"'
label var sex      `"Sex"'
label var bplke    `"District of birth, Kenya"'
label var school   `"School attendance"'
label var lit      `"Literacy"'
label var edattan  `"Educational attainment, international recode [general version]"'
label var edattand `"Educational attainment, international recode [detailed version]"'
label var yrschl   `"Years of schooling"'
label var educke   `"Educational attainment, Kenya"'

label define cntry_lbl 032 `"Argentina"'
label define cntry_lbl 051 `"Armenia"', add
label define cntry_lbl 040 `"Austria"', add
label define cntry_lbl 050 `"Bangladesh"', add
label define cntry_lbl 112 `"Belarus"', add
label define cntry_lbl 068 `"Bolivia"', add
label define cntry_lbl 076 `"Brazil"', add
label define cntry_lbl 854 `"Burkina Faso"', add
label define cntry_lbl 116 `"Cambodia"', add
label define cntry_lbl 120 `"Cameroon"', add
label define cntry_lbl 124 `"Canada"', add
label define cntry_lbl 152 `"Chile"', add
label define cntry_lbl 156 `"China"', add
label define cntry_lbl 170 `"Colombia"', add
label define cntry_lbl 188 `"Costa Rica"', add
label define cntry_lbl 192 `"Cuba"', add
label define cntry_lbl 214 `"Dominican Republic"', add
label define cntry_lbl 218 `"Ecuador"', add
label define cntry_lbl 818 `"Egypt"', add
label define cntry_lbl 222 `"El Salvador"', add
label define cntry_lbl 242 `"Fiji"', add
label define cntry_lbl 250 `"France"', add
label define cntry_lbl 276 `"Germany"', add
label define cntry_lbl 288 `"Ghana"', add
label define cntry_lbl 300 `"Greece"', add
label define cntry_lbl 324 `"Guinea"', add
label define cntry_lbl 332 `"Haiti"', add
label define cntry_lbl 348 `"Hungary"', add
label define cntry_lbl 356 `"India"', add
label define cntry_lbl 360 `"Indonesia"', add
label define cntry_lbl 364 `"Iran"', add
label define cntry_lbl 368 `"Iraq"', add
label define cntry_lbl 372 `"Ireland"', add
label define cntry_lbl 376 `"Israel"', add
label define cntry_lbl 380 `"Italy"', add
label define cntry_lbl 388 `"Jamaica"', add
label define cntry_lbl 400 `"Jordan"', add
label define cntry_lbl 404 `"Kenya"', add
label define cntry_lbl 417 `"Kyrgyz Republic"', add
label define cntry_lbl 430 `"Liberia"', add
label define cntry_lbl 454 `"Malawi"', add
label define cntry_lbl 458 `"Malaysia"', add
label define cntry_lbl 466 `"Mali"', add
label define cntry_lbl 484 `"Mexico"', add
label define cntry_lbl 496 `"Mongolia"', add
label define cntry_lbl 504 `"Morocco"', add
label define cntry_lbl 524 `"Nepal"', add
label define cntry_lbl 528 `"Netherlands"', add
label define cntry_lbl 558 `"Nicaragua"', add
label define cntry_lbl 566 `"Nigeria"', add
label define cntry_lbl 586 `"Pakistan"', add
label define cntry_lbl 275 `"Palestine"', add
label define cntry_lbl 591 `"Panama"', add
label define cntry_lbl 604 `"Peru"', add
label define cntry_lbl 608 `"Philippines"', add
label define cntry_lbl 620 `"Portugal"', add
label define cntry_lbl 630 `"Puerto Rico"', add
label define cntry_lbl 642 `"Romania"', add
label define cntry_lbl 646 `"Rwanda"', add
label define cntry_lbl 662 `"Saint Lucia"', add
label define cntry_lbl 686 `"Senegal"', add
label define cntry_lbl 694 `"Sierra Leone"', add
label define cntry_lbl 705 `"Slovenia"', add
label define cntry_lbl 710 `"South Africa"', add
label define cntry_lbl 728 `"South Sudan"', add
label define cntry_lbl 724 `"Spain"', add
label define cntry_lbl 729 `"Sudan"', add
label define cntry_lbl 756 `"Switzerland"', add
label define cntry_lbl 834 `"Tanzania"', add
label define cntry_lbl 764 `"Thailand"', add
label define cntry_lbl 792 `"Turkey"', add
label define cntry_lbl 800 `"Uganda"', add
label define cntry_lbl 804 `"Ukraine"', add
label define cntry_lbl 826 `"United Kingdom"', add
label define cntry_lbl 840 `"United States"', add
label define cntry_lbl 858 `"Uruguay"', add
label define cntry_lbl 862 `"Venezuela"', add
label define cntry_lbl 704 `"Vietnam"', add
label define cntry_lbl 894 `"Zambia"', add
label values cntry cntry_lbl

label define year_lbl 1960 `"1960"'
label define year_lbl 1962 `"1962"', add
label define year_lbl 1963 `"1963"', add
label define year_lbl 1964 `"1964"', add
label define year_lbl 1966 `"1966"', add
label define year_lbl 1968 `"1968"', add
label define year_lbl 1969 `"1969"', add
label define year_lbl 1970 `"1970"', add
label define year_lbl 1971 `"1971"', add
label define year_lbl 1972 `"1972"', add
label define year_lbl 1973 `"1973"', add
label define year_lbl 1974 `"1974"', add
label define year_lbl 1975 `"1975"', add
label define year_lbl 1976 `"1976"', add
label define year_lbl 1977 `"1977"', add
label define year_lbl 1979 `"1979"', add
label define year_lbl 1980 `"1980"', add
label define year_lbl 1981 `"1981"', add
label define year_lbl 1982 `"1982"', add
label define year_lbl 1983 `"1983"', add
label define year_lbl 1984 `"1984"', add
label define year_lbl 1985 `"1985"', add
label define year_lbl 1986 `"1986"', add
label define year_lbl 1987 `"1987"', add
label define year_lbl 1989 `"1989"', add
label define year_lbl 1990 `"1990"', add
label define year_lbl 1991 `"1991"', add
label define year_lbl 1992 `"1992"', add
label define year_lbl 1993 `"1993"', add
label define year_lbl 1994 `"1994"', add
label define year_lbl 1995 `"1995"', add
label define year_lbl 1996 `"1996"', add
label define year_lbl 1997 `"1997"', add
label define year_lbl 1998 `"1998"', add
label define year_lbl 1999 `"1999"', add
label define year_lbl 2000 `"2000"', add
label define year_lbl 2001 `"2001"', add
label define year_lbl 2002 `"2002"', add
label define year_lbl 2003 `"2003"', add
label define year_lbl 2004 `"2004"', add
label define year_lbl 2005 `"2005"', add
label define year_lbl 2006 `"2006"', add
label define year_lbl 2007 `"2007"', add
label define year_lbl 2008 `"2008"', add
label define year_lbl 2009 `"2009"', add
label define year_lbl 2010 `"2010"', add
label define year_lbl 2011 `"2011"', add
label values year year_lbl

label define sample_lbl 0321 `"Argentina 1970"'
label define sample_lbl 0322 `"Argentina 1980"', add
label define sample_lbl 0323 `"Argentina 1991"', add
label define sample_lbl 0324 `"Argentina 2001"', add
label define sample_lbl 0325 `"Argentina 2010"', add
label define sample_lbl 0511 `"Armenia 2001"', add
label define sample_lbl 0401 `"Austria 1971"', add
label define sample_lbl 0402 `"Austria 1981"', add
label define sample_lbl 0403 `"Austria 1991"', add
label define sample_lbl 0404 `"Austria 2001"', add
label define sample_lbl 0501 `"Bangladesh 1991"', add
label define sample_lbl 0502 `"Bangladesh 2001"', add
label define sample_lbl 0503 `"Bangladesh 2011"', add
label define sample_lbl 0681 `"Bolivia 1976"', add
label define sample_lbl 0682 `"Bolivia 1992"', add
label define sample_lbl 0683 `"Bolivia 2001"', add
label define sample_lbl 0761 `"Brazil 1960"', add
label define sample_lbl 0762 `"Brazil 1970"', add
label define sample_lbl 0763 `"Brazil 1980"', add
label define sample_lbl 0764 `"Brazil 1991"', add
label define sample_lbl 0765 `"Brazil 2000"', add
label define sample_lbl 0766 `"Brazil 2010"', add
label define sample_lbl 1121 `"Belarus 1999"', add
label define sample_lbl 8541 `"Burkina Faso 1985"', add
label define sample_lbl 8542 `"Burkina Faso 1996"', add
label define sample_lbl 8543 `"Burkina Faso 2006"', add
label define sample_lbl 1161 `"Cambodia 1998"', add
label define sample_lbl 1162 `"Cambodia 2008"', add
label define sample_lbl 1201 `"Cameroon 1976"', add
label define sample_lbl 1202 `"Cameroon 1987"', add
label define sample_lbl 1203 `"Cameroon 2005"', add
label define sample_lbl 1241 `"Canada 1971"', add
label define sample_lbl 1242 `"Canada 1981"', add
label define sample_lbl 1243 `"Canada 1991"', add
label define sample_lbl 1244 `"Canada 2001"', add
label define sample_lbl 1521 `"Chile 1960"', add
label define sample_lbl 1522 `"Chile 1970"', add
label define sample_lbl 1523 `"Chile 1982"', add
label define sample_lbl 1524 `"Chile 1992"', add
label define sample_lbl 1525 `"Chile 2002"', add
label define sample_lbl 1561 `"China 1982"', add
label define sample_lbl 1562 `"China 1990"', add
label define sample_lbl 1701 `"Colombia 1964"', add
label define sample_lbl 1702 `"Colombia 1973"', add
label define sample_lbl 1703 `"Colombia 1985"', add
label define sample_lbl 1704 `"Colombia 1993"', add
label define sample_lbl 1705 `"Colombia 2005"', add
label define sample_lbl 1881 `"Costa Rica 1963"', add
label define sample_lbl 1882 `"Costa Rica 1973"', add
label define sample_lbl 1883 `"Costa Rica 1984"', add
label define sample_lbl 1884 `"Costa Rica 2000"', add
label define sample_lbl 1921 `"Cuba 2002"', add
label define sample_lbl 2141 `"Dominican Republic 1960"', add
label define sample_lbl 2142 `"Dominican Republic 1970"', add
label define sample_lbl 2143 `"Dominican Republic 1981"', add
label define sample_lbl 2144 `"Dominican Republic 2002"', add
label define sample_lbl 2145 `"Dominican Republic 2010"', add
label define sample_lbl 2181 `"Ecuador 1962"', add
label define sample_lbl 2182 `"Ecuador 1974"', add
label define sample_lbl 2183 `"Ecuador 1982"', add
label define sample_lbl 2184 `"Ecuador 1990"', add
label define sample_lbl 2185 `"Ecuador 2001"', add
label define sample_lbl 2186 `"Ecuador 2010"', add
label define sample_lbl 8181 `"Egypt 1996"', add
label define sample_lbl 8182 `"Egypt 2006"', add
label define sample_lbl 2221 `"El Salvador 1992"', add
label define sample_lbl 2222 `"El Salvador 2007"', add
label define sample_lbl 2421 `"Fiji 1966"', add
label define sample_lbl 2422 `"Fiji 1976"', add
label define sample_lbl 2423 `"Fiji 1986"', add
label define sample_lbl 2424 `"Fiji 1996"', add
label define sample_lbl 2425 `"Fiji 2007"', add
label define sample_lbl 2501 `"France 1962"', add
label define sample_lbl 2502 `"France 1968"', add
label define sample_lbl 2503 `"France 1975"', add
label define sample_lbl 2504 `"France 1982"', add
label define sample_lbl 2505 `"France 1990"', add
label define sample_lbl 2506 `"France 1999"', add
label define sample_lbl 2507 `"France 2006"', add
label define sample_lbl 2761 `"Germany 1970 (West)"', add
label define sample_lbl 2762 `"Germany 1971 (East)"', add
label define sample_lbl 2763 `"Germany 1981 (East)"', add
label define sample_lbl 2764 `"Germany 1987 (West)"', add
label define sample_lbl 2881 `"Ghana 2000"', add
label define sample_lbl 2882 `"Ghana 2010"', add
label define sample_lbl 3001 `"Greece 1971"', add
label define sample_lbl 3002 `"Greece 1981"', add
label define sample_lbl 3003 `"Greece 1991"', add
label define sample_lbl 3004 `"Greece 2001"', add
label define sample_lbl 3241 `"Guinea 1983"', add
label define sample_lbl 3242 `"Guinea 1996"', add
label define sample_lbl 3321 `"Haiti 1971"', add
label define sample_lbl 3322 `"Haiti 1982"', add
label define sample_lbl 3323 `"Haiti 2003"', add
label define sample_lbl 3481 `"Hungary 1970"', add
label define sample_lbl 3482 `"Hungary 1980"', add
label define sample_lbl 3483 `"Hungary 1990"', add
label define sample_lbl 3484 `"Hungary 2001"', add
label define sample_lbl 3561 `"India 1983"', add
label define sample_lbl 3562 `"India 1987"', add
label define sample_lbl 3563 `"India 1993"', add
label define sample_lbl 3564 `"India 1999"', add
label define sample_lbl 3565 `"India 2004"', add
label define sample_lbl 3601 `"Indonesia 1971"', add
label define sample_lbl 3602 `"Indonesia 1976"', add
label define sample_lbl 3603 `"Indonesia 1980"', add
label define sample_lbl 3604 `"Indonesia 1985"', add
label define sample_lbl 3605 `"Indonesia 1990"', add
label define sample_lbl 3606 `"Indonesia 1995"', add
label define sample_lbl 3607 `"Indonesia 2000"', add
label define sample_lbl 3608 `"Indonesia 2005"', add
label define sample_lbl 3609 `"Indonesia 2010"', add
label define sample_lbl 3641 `"Iran 2006"', add
label define sample_lbl 3681 `"Iraq 1997"', add
label define sample_lbl 3721 `"Ireland 1971"', add
label define sample_lbl 3722 `"Ireland 1979"', add
label define sample_lbl 3723 `"Ireland 1981"', add
label define sample_lbl 3724 `"Ireland 1986"', add
label define sample_lbl 3725 `"Ireland 1991"', add
label define sample_lbl 3726 `"Ireland 1996"', add
label define sample_lbl 3727 `"Ireland 2002"', add
label define sample_lbl 3728 `"Ireland 2006"', add
label define sample_lbl 3729 `"Ireland 2011"', add
label define sample_lbl 3761 `"Israel 1972"', add
label define sample_lbl 3762 `"Israel 1983"', add
label define sample_lbl 3763 `"Israel 1995"', add
label define sample_lbl 3801 `"Italy 2001"', add
label define sample_lbl 3881 `"Jamaica 1982"', add
label define sample_lbl 3882 `"Jamaica 1991"', add
label define sample_lbl 3883 `"Jamaica 2001"', add
label define sample_lbl 4001 `"Jordan 2004"', add
label define sample_lbl 4041 `"Kenya 1969"', add
label define sample_lbl 4042 `"Kenya 1979"', add
label define sample_lbl 4043 `"Kenya 1989"', add
label define sample_lbl 4044 `"Kenya 1999"', add
label define sample_lbl 4045 `"Kenya 2009"', add
label define sample_lbl 4171 `"Kyrgyz Republic 1999"', add
label define sample_lbl 4172 `"Kyrgyz Republic 2009"', add
label define sample_lbl 4301 `"Liberia 1974"', add
label define sample_lbl 4302 `"Liberia 2008"', add
label define sample_lbl 4541 `"Malawi 1987"', add
label define sample_lbl 4542 `"Malawi 1998"', add
label define sample_lbl 4543 `"Malawi 2008"', add
label define sample_lbl 4581 `"Malaysia 1970"', add
label define sample_lbl 4582 `"Malaysia 1980"', add
label define sample_lbl 4583 `"Malaysia 1991"', add
label define sample_lbl 4584 `"Malaysia 2000"', add
label define sample_lbl 4661 `"Mali 1987"', add
label define sample_lbl 4662 `"Mali 1998"', add
label define sample_lbl 4663 `"Mali 2009"', add
label define sample_lbl 4841 `"Mexico 1960"', add
label define sample_lbl 4842 `"Mexico 1970"', add
label define sample_lbl 4843 `"Mexico 1990"', add
label define sample_lbl 4844 `"Mexico 1995"', add
label define sample_lbl 4845 `"Mexico 2000"', add
label define sample_lbl 4846 `"Mexico 2005"', add
label define sample_lbl 4847 `"Mexico 2010"', add
label define sample_lbl 4961 `"Mongolia 1989"', add
label define sample_lbl 4962 `"Mongolia 2000"', add
label define sample_lbl 5041 `"Morocco 1982"', add
label define sample_lbl 5042 `"Morocco 1994"', add
label define sample_lbl 5043 `"Morocco 2004"', add
label define sample_lbl 5241 `"Nepal 2001"', add
label define sample_lbl 5281 `"Netherlands 1960"', add
label define sample_lbl 5282 `"Netherlands 1971"', add
label define sample_lbl 5283 `"Netherlands 2001"', add
label define sample_lbl 5581 `"Nicaragua 1971"', add
label define sample_lbl 5582 `"Nicaragua 1995"', add
label define sample_lbl 5583 `"Nicaragua 2005"', add
label define sample_lbl 5661 `"Nigeria 2006"', add
label define sample_lbl 5662 `"Nigeria 2007"', add
label define sample_lbl 5663 `"Nigeria 2008"', add
label define sample_lbl 5664 `"Nigeria 2009"', add
label define sample_lbl 5665 `"Nigeria 2010"', add
label define sample_lbl 5861 `"Pakistan 1973"', add
label define sample_lbl 5862 `"Pakistan 1981"', add
label define sample_lbl 5863 `"Pakistan 1998"', add
label define sample_lbl 2751 `"Palestine 1997"', add
label define sample_lbl 2752 `"Palestine 2007"', add
label define sample_lbl 5911 `"Panama 1960"', add
label define sample_lbl 5912 `"Panama 1970"', add
label define sample_lbl 5913 `"Panama 1980"', add
label define sample_lbl 5914 `"Panama 1990"', add
label define sample_lbl 5915 `"Panama 2000"', add
label define sample_lbl 5916 `"Panama 2010"', add
label define sample_lbl 6041 `"Peru 1993"', add
label define sample_lbl 6042 `"Peru 2007"', add
label define sample_lbl 6081 `"Philippines 1990"', add
label define sample_lbl 6082 `"Philippines 1995"', add
label define sample_lbl 6083 `"Philippines 2000"', add
label define sample_lbl 6201 `"Portugal 1981"', add
label define sample_lbl 6202 `"Portugal 1991"', add
label define sample_lbl 6203 `"Portugal 2001"', add
label define sample_lbl 6301 `"Puerto Rico 1970"', add
label define sample_lbl 6302 `"Puerto Rico 1980"', add
label define sample_lbl 6303 `"Puerto Rico 1990"', add
label define sample_lbl 6304 `"Puerto Rico 2000"', add
label define sample_lbl 6305 `"Puerto Rico 2005"', add
label define sample_lbl 6421 `"Romania 1977"', add
label define sample_lbl 6422 `"Romania 1992"', add
label define sample_lbl 6423 `"Romania 2002"', add
label define sample_lbl 6461 `"Rwanda 1991"', add
label define sample_lbl 6462 `"Rwanda 2002"', add
label define sample_lbl 6621 `"Saint Lucia 1980"', add
label define sample_lbl 6622 `"Saint Lucia 1991"', add
label define sample_lbl 6861 `"Senegal 1988"', add
label define sample_lbl 6862 `"Senegal 2002"', add
label define sample_lbl 6941 `"Sierra Leone 2004"', add
label define sample_lbl 7051 `"Slovenia 2002"', add
label define sample_lbl 7101 `"South Africa 1996"', add
label define sample_lbl 7102 `"South Africa 2001"', add
label define sample_lbl 7103 `"South Africa 2007"', add
label define sample_lbl 7241 `"Spain 1981"', add
label define sample_lbl 7242 `"Spain 1991"', add
label define sample_lbl 7243 `"Spain 2001"', add
label define sample_lbl 7281 `"South Sudan 2008"', add
label define sample_lbl 7291 `"Sudan 2008"', add
label define sample_lbl 7561 `"Switzerland 1970"', add
label define sample_lbl 7562 `"Switzerland 1980"', add
label define sample_lbl 7563 `"Switzerland 1990"', add
label define sample_lbl 7564 `"Switzerland 2000"', add
label define sample_lbl 8341 `"Tanzania 1988"', add
label define sample_lbl 8342 `"Tanzania 2002"', add
label define sample_lbl 7641 `"Thailand 1970"', add
label define sample_lbl 7642 `"Thailand 1980"', add
label define sample_lbl 7643 `"Thailand 1990"', add
label define sample_lbl 7644 `"Thailand 2000"', add
label define sample_lbl 7921 `"Turkey 1985"', add
label define sample_lbl 7922 `"Turkey 1990"', add
label define sample_lbl 7923 `"Turkey 2000"', add
label define sample_lbl 8001 `"Uganda 1991"', add
label define sample_lbl 8002 `"Uganda 2002"', add
label define sample_lbl 8041 `"Ukraine 2001"', add
label define sample_lbl 8261 `"United Kingdom 1991"', add
label define sample_lbl 8262 `"United Kingdom 2001"', add
label define sample_lbl 8401 `"United States 1960"', add
label define sample_lbl 8402 `"United States 1970"', add
label define sample_lbl 8403 `"United States 1980"', add
label define sample_lbl 8404 `"United States 1990"', add
label define sample_lbl 8405 `"United States 2000"', add
label define sample_lbl 8406 `"United States 2005"', add
label define sample_lbl 8407 `"United States 2010"', add
label define sample_lbl 8581 `"Uruguay 1963"', add
label define sample_lbl 8582 `"Uruguay 1975"', add
label define sample_lbl 8583 `"Uruguay 1985"', add
label define sample_lbl 8584 `"Uruguay 1996"', add
label define sample_lbl 8585 `"Uruguay 2006"', add
label define sample_lbl 8586 `"Uruguay 2011"', add
label define sample_lbl 8621 `"Venezuela 1971"', add
label define sample_lbl 8622 `"Venezuela 1981"', add
label define sample_lbl 8623 `"Venezuela 1990"', add
label define sample_lbl 8624 `"Venezuela 2001"', add
label define sample_lbl 7041 `"Vietnam 1989"', add
label define sample_lbl 7042 `"Vietnam 1999"', add
label define sample_lbl 7043 `"Vietnam 2009"', add
label define sample_lbl 8941 `"Zambia 1990"', add
label define sample_lbl 8942 `"Zambia 2000"', add
label define sample_lbl 8943 `"Zambia 2010"', add
label values sample sample_lbl

label define urban_lbl 0 `"NIU (not in universe)"'
label define urban_lbl 1 `"Rural"', add
label define urban_lbl 2 `"Urban"', add
label define urban_lbl 9 `"Unknown"', add
label values urban urban_lbl

label define age_lbl 000 `"Less than 1 year"'
label define age_lbl 001 `"1 year"', add
label define age_lbl 002 `"2 years"', add
label define age_lbl 003 `"3"', add
label define age_lbl 004 `"4"', add
label define age_lbl 005 `"5"', add
label define age_lbl 006 `"6"', add
label define age_lbl 007 `"7"', add
label define age_lbl 008 `"8"', add
label define age_lbl 009 `"9"', add
label define age_lbl 010 `"10"', add
label define age_lbl 011 `"11"', add
label define age_lbl 012 `"12"', add
label define age_lbl 013 `"13"', add
label define age_lbl 014 `"14"', add
label define age_lbl 015 `"15"', add
label define age_lbl 016 `"16"', add
label define age_lbl 017 `"17"', add
label define age_lbl 018 `"18"', add
label define age_lbl 019 `"19"', add
label define age_lbl 020 `"20"', add
label define age_lbl 021 `"21"', add
label define age_lbl 022 `"22"', add
label define age_lbl 023 `"23"', add
label define age_lbl 024 `"24"', add
label define age_lbl 025 `"25"', add
label define age_lbl 026 `"26"', add
label define age_lbl 027 `"27"', add
label define age_lbl 028 `"28"', add
label define age_lbl 029 `"29"', add
label define age_lbl 030 `"30"', add
label define age_lbl 031 `"31"', add
label define age_lbl 032 `"32"', add
label define age_lbl 033 `"33"', add
label define age_lbl 034 `"34"', add
label define age_lbl 035 `"35"', add
label define age_lbl 036 `"36"', add
label define age_lbl 037 `"37"', add
label define age_lbl 038 `"38"', add
label define age_lbl 039 `"39"', add
label define age_lbl 040 `"40"', add
label define age_lbl 041 `"41"', add
label define age_lbl 042 `"42"', add
label define age_lbl 043 `"43"', add
label define age_lbl 044 `"44"', add
label define age_lbl 045 `"45"', add
label define age_lbl 046 `"46"', add
label define age_lbl 047 `"47"', add
label define age_lbl 048 `"48"', add
label define age_lbl 049 `"49"', add
label define age_lbl 050 `"50"', add
label define age_lbl 051 `"51"', add
label define age_lbl 052 `"52"', add
label define age_lbl 053 `"53"', add
label define age_lbl 054 `"54"', add
label define age_lbl 055 `"55"', add
label define age_lbl 056 `"56"', add
label define age_lbl 057 `"57"', add
label define age_lbl 058 `"58"', add
label define age_lbl 059 `"59"', add
label define age_lbl 060 `"60"', add
label define age_lbl 061 `"61"', add
label define age_lbl 062 `"62"', add
label define age_lbl 063 `"63"', add
label define age_lbl 064 `"64"', add
label define age_lbl 065 `"65"', add
label define age_lbl 066 `"66"', add
label define age_lbl 067 `"67"', add
label define age_lbl 068 `"68"', add
label define age_lbl 069 `"69"', add
label define age_lbl 070 `"70"', add
label define age_lbl 071 `"71"', add
label define age_lbl 072 `"72"', add
label define age_lbl 073 `"73"', add
label define age_lbl 074 `"74"', add
label define age_lbl 075 `"75"', add
label define age_lbl 076 `"76"', add
label define age_lbl 077 `"77"', add
label define age_lbl 078 `"78"', add
label define age_lbl 079 `"79"', add
label define age_lbl 080 `"80"', add
label define age_lbl 081 `"81"', add
label define age_lbl 082 `"82"', add
label define age_lbl 083 `"83"', add
label define age_lbl 084 `"84"', add
label define age_lbl 085 `"85"', add
label define age_lbl 086 `"86"', add
label define age_lbl 087 `"87"', add
label define age_lbl 088 `"88"', add
label define age_lbl 089 `"89"', add
label define age_lbl 090 `"90"', add
label define age_lbl 091 `"91"', add
label define age_lbl 092 `"92"', add
label define age_lbl 093 `"93"', add
label define age_lbl 094 `"94"', add
label define age_lbl 095 `"95"', add
label define age_lbl 096 `"96"', add
label define age_lbl 097 `"97"', add
label define age_lbl 098 `"98"', add
label define age_lbl 099 `"99"', add
label define age_lbl 100 `"100+"', add
label define age_lbl 999 `"Not reported/missing"', add
label values age age_lbl

label define sex_lbl 1 `"Male"'
label define sex_lbl 2 `"Female"', add
label define sex_lbl 9 `"Unknown"', add
label values sex sex_lbl

label define bplke_lbl 0101 `"Nairobi West"'
label define bplke_lbl 0102 `"Nairobi East"', add
label define bplke_lbl 0103 `"Nairobi North"', add
label define bplke_lbl 0104 `"Westlands"', add
label define bplke_lbl 0110 `"Nairobi"', add
label define bplke_lbl 0201 `"Nyandarua North"', add
label define bplke_lbl 0202 `"Nyandarua South  "', add
label define bplke_lbl 0203 `"Nyeri North"', add
label define bplke_lbl 0204 `"Nyeri South"', add
label define bplke_lbl 0205 `"Kirinyaga"', add
label define bplke_lbl 0206 `"Muranga North"', add
label define bplke_lbl 0207 `"Muranga South"', add
label define bplke_lbl 0208 `"Kiambu (Kiambaa)"', add
label define bplke_lbl 0209 `"Kikuyu"', add
label define bplke_lbl 0210 `"Kiambu West"', add
label define bplke_lbl 0211 `"Lari"', add
label define bplke_lbl 0212 `"Githunguri"', add
label define bplke_lbl 0213 `"Thika East"', add
label define bplke_lbl 0214 `"Thika West"', add
label define bplke_lbl 0215 `"Ruiru"', add
label define bplke_lbl 0216 `"Gatanga"', add
label define bplke_lbl 0217 `"Gatundu"', add
label define bplke_lbl 0220 `"Nyandaura"', add
label define bplke_lbl 0221 `"Nyeri"', add
label define bplke_lbl 0222 `"Muranga"', add
label define bplke_lbl 0223 `"Thika"', add
label define bplke_lbl 0224 `"Maragua"', add
label define bplke_lbl 0225 `"Other Central Province"', add
label define bplke_lbl 0301 `"Mombasa"', add
label define bplke_lbl 0302 `"Kilindini"', add
label define bplke_lbl 0303 `"Kwale"', add
label define bplke_lbl 0304 `"Kinango"', add
label define bplke_lbl 0305 `"Msambweni"', add
label define bplke_lbl 0306 `"Kilifi"', add
label define bplke_lbl 0307 `"Kaloleni"', add
label define bplke_lbl 0308 `"Malindi"', add
label define bplke_lbl 0309 `"Tana River"', add
label define bplke_lbl 0310 `"Tana Delta"', add
label define bplke_lbl 0311 `"Lamu"', add
label define bplke_lbl 0312 `"Taita"', add
label define bplke_lbl 0313 `"Taveta"', add
label define bplke_lbl 0320 `"Taita Taveta"', add
label define bplke_lbl 0321 `"Other Coast Province"', add
label define bplke_lbl 0401 `"Marsabit"', add
label define bplke_lbl 0402 `"Chalbi"', add
label define bplke_lbl 0403 `"Laisamis"', add
label define bplke_lbl 0404 `"Moyale"', add
label define bplke_lbl 0405 `"Isiolo"', add
label define bplke_lbl 0406 `"Garba Tulla"', add
label define bplke_lbl 0407 `"Imenti Central"', add
label define bplke_lbl 0408 `"Imenti North"', add
label define bplke_lbl 0409 `"Imenti south"', add
label define bplke_lbl 0410 `"Meru south"', add
label define bplke_lbl 0411 `"Maara"', add
label define bplke_lbl 0412 `"Igembe"', add
label define bplke_lbl 0413 `"Tigania"', add
label define bplke_lbl 0414 `"Tharaka"', add
label define bplke_lbl 0415 `"Embu"', add
label define bplke_lbl 0416 `"Mbeere"', add
label define bplke_lbl 0417 `"Kitui North"', add
label define bplke_lbl 0418 `"Kitui South (Mutomo)"', add
label define bplke_lbl 0419 `"Mwingi"', add
label define bplke_lbl 0420 `"Kyuso"', add
label define bplke_lbl 0421 `"Machakos"', add
label define bplke_lbl 0422 `"Mwala"', add
label define bplke_lbl 0423 `"Yatta"', add
label define bplke_lbl 0424 `"Kangundo"', add
label define bplke_lbl 0425 `"Makueni"', add
label define bplke_lbl 0426 `"Mbooni"', add
label define bplke_lbl 0427 `"Kibwezi"', add
label define bplke_lbl 0428 `"Nzaui"', add
label define bplke_lbl 0430 `"Kitui"', add
label define bplke_lbl 0431 `"Meru"', add
label define bplke_lbl 0432 `"Meru North"', add
label define bplke_lbl 0433 `"Meru Central"', add
label define bplke_lbl 0434 `"Tharaka"', add
label define bplke_lbl 0435 `"Other Eastern Province"', add
label define bplke_lbl 0501 `"Garissa"', add
label define bplke_lbl 0502 `"Lagdera"', add
label define bplke_lbl 0503 `"Fafi"', add
label define bplke_lbl 0504 `"Ijara"', add
label define bplke_lbl 0505 `"Wajir South"', add
label define bplke_lbl 0506 `"Wajir North"', add
label define bplke_lbl 0507 `"Wajir East"', add
label define bplke_lbl 0508 `"Wajir West"', add
label define bplke_lbl 0509 `"Mandera Central"', add
label define bplke_lbl 0510 `"Mandera East"', add
label define bplke_lbl 0511 `"Mandera West"', add
label define bplke_lbl 0520 `"Wajir"', add
label define bplke_lbl 0521 `"Mandera"', add
label define bplke_lbl 0522 `"Other North-Eastern Province"', add
label define bplke_lbl 0601 `"Siaya"', add
label define bplke_lbl 0602 `"Bondo"', add
label define bplke_lbl 0603 `"Rarieda"', add
label define bplke_lbl 0604 `"Kisumu East"', add
label define bplke_lbl 0605 `"Kisumu West"', add
label define bplke_lbl 0606 `"Nyando"', add
label define bplke_lbl 0607 `"Homa Bay"', add
label define bplke_lbl 0608 `"Suba"', add
label define bplke_lbl 0609 `"Rachuonyo"', add
label define bplke_lbl 0610 `"Migori"', add
label define bplke_lbl 0611 `"Rongo"', add
label define bplke_lbl 0612 `"Kuria West"', add
label define bplke_lbl 0613 `"Kuria East"', add
label define bplke_lbl 0614 `"Kisii Central"', add
label define bplke_lbl 0615 `"Kisii South"', add
label define bplke_lbl 0616 `"Masaba"', add
label define bplke_lbl 0617 `"Gucha"', add
label define bplke_lbl 0618 `"Gucha South"', add
label define bplke_lbl 0619 `"Nyamira"', add
label define bplke_lbl 0620 `"Manga"', add
label define bplke_lbl 0621 `"Borabu"', add
label define bplke_lbl 0630 `"Kisumu"', add
label define bplke_lbl 0631 `"Kuria"', add
label define bplke_lbl 0632 `"Kisii"', add
label define bplke_lbl 0633 `"North Kisii"', add
label define bplke_lbl 0634 `"South Nyanza"', add
label define bplke_lbl 0635 `"Other Nyanza Province"', add
label define bplke_lbl 0701 `"Turkana Central"', add
label define bplke_lbl 0702 `"Turkana North"', add
label define bplke_lbl 0703 `"Turkana South"', add
label define bplke_lbl 0704 `"West Pokot"', add
label define bplke_lbl 0705 `"Pokot North"', add
label define bplke_lbl 0706 `"Pokot Central"', add
label define bplke_lbl 0707 `"Samburu Central"', add
label define bplke_lbl 0708 `"Samburu East"', add
label define bplke_lbl 0709 `"Samburu North"', add
label define bplke_lbl 0710 `"Trans Nzoia West"', add
label define bplke_lbl 0711 `"Trans Nzoia East"', add
label define bplke_lbl 0712 `"Kwanza"', add
label define bplke_lbl 0713 `"Baringo"', add
label define bplke_lbl 0714 `"Baringo North"', add
label define bplke_lbl 0715 `"East Pokot"', add
label define bplke_lbl 0716 `"Koibatek"', add
label define bplke_lbl 0717 `"Eldoret West"', add
label define bplke_lbl 0718 `"Eldoret East"', add
label define bplke_lbl 0719 `"Wareng"', add
label define bplke_lbl 0720 `"Marakwet"', add
label define bplke_lbl 0721 `"Keiyo"', add
label define bplke_lbl 0722 `"Nandi North"', add
label define bplke_lbl 0723 `"Nandi Central"', add
label define bplke_lbl 0724 `"Nandi East"', add
label define bplke_lbl 0725 `"Nandi South"', add
label define bplke_lbl 0726 `"Tinderet"', add
label define bplke_lbl 0727 `"Laikipia North"', add
label define bplke_lbl 0728 `"Laikipia East"', add
label define bplke_lbl 0729 `"Laikipia West"', add
label define bplke_lbl 0730 `"Nakuru"', add
label define bplke_lbl 0731 `"Nakuru North"', add
label define bplke_lbl 0732 `"Naivasha"', add
label define bplke_lbl 0733 `"Molo"', add
label define bplke_lbl 0734 `"Narok North"', add
label define bplke_lbl 0735 `"Narok Wouth"', add
label define bplke_lbl 0736 `"Trans Mara"', add
label define bplke_lbl 0737 `"Kajiado Central"', add
label define bplke_lbl 0738 `"Loitoktok"', add
label define bplke_lbl 0739 `"Kericho"', add
label define bplke_lbl 0740 `"Kipkelion"', add
label define bplke_lbl 0741 `"Buret"', add
label define bplke_lbl 0742 `"Sotik"', add
label define bplke_lbl 0743 `"Bomet"', add
label define bplke_lbl 0744 `"Kajiado North"', add
label define bplke_lbl 0750 `"Turkana"', add
label define bplke_lbl 0751 `"Samburu"', add
label define bplke_lbl 0752 `"Trans Nzoia"', add
label define bplke_lbl 0753 `"Nandi"', add
label define bplke_lbl 0754 `"Laikipia"', add
label define bplke_lbl 0755 `"Narok"', add
label define bplke_lbl 0756 `"Kajiado"', add
label define bplke_lbl 0757 `"Elgeyo Markwet"', add
label define bplke_lbl 0758 `"Uasin Gishu"', add
label define bplke_lbl 0759 `"Other Rift Valley Province"', add
label define bplke_lbl 0801 `"Kakamega Central"', add
label define bplke_lbl 0802 `"Kakamega South"', add
label define bplke_lbl 0803 `"Kakamega North"', add
label define bplke_lbl 0804 `"Kakamega East"', add
label define bplke_lbl 0805 `"Lugari"', add
label define bplke_lbl 0806 `"Vihiga"', add
label define bplke_lbl 0807 `"Emuhaya"', add
label define bplke_lbl 0808 `"Hamisi"', add
label define bplke_lbl 0809 `"Mumias"', add
label define bplke_lbl 0810 `"Butere"', add
label define bplke_lbl 0811 `"Bungoma South"', add
label define bplke_lbl 0812 `"Bungoma North"', add
label define bplke_lbl 0813 `"Bungoma East"', add
label define bplke_lbl 0814 `"Bungoma West"', add
label define bplke_lbl 0815 `"Mt. Elgon"', add
label define bplke_lbl 0816 `"Busia"', add
label define bplke_lbl 0817 `"Teso North"', add
label define bplke_lbl 0818 `"Samia"', add
label define bplke_lbl 0819 `"Bunyala"', add
label define bplke_lbl 0820 `"Teso South"', add
label define bplke_lbl 0830 `"Kakamega"', add
label define bplke_lbl 0831 `"Butere/Mumias"', add
label define bplke_lbl 0832 `"Bungoma"', add
label define bplke_lbl 0833 `"Teso"', add
label define bplke_lbl 0834 `"Other Western Province"', add
label define bplke_lbl 0900 `"Foreign-born"', add
label define bplke_lbl 0999 `"Unknown/missing"', add
label values bplke bplke_lbl

label define school_lbl 0 `"NIU (not in universe)"'
label define school_lbl 1 `"Yes"', add
label define school_lbl 2 `"No, not specified"', add
label define school_lbl 3 `"No, attended in the past"', add
label define school_lbl 4 `"No, never attended"', add
label define school_lbl 9 `"Unknown/missing"', add
label values school school_lbl

label define lit_lbl 0 `"NIU (not in universe)"'
label define lit_lbl 1 `"No, illiterate"', add
label define lit_lbl 2 `"Yes, literate"', add
label define lit_lbl 9 `"Unknown/missing"', add
label values lit lit_lbl

label define edattan_lbl 0 `"NIU (not in universe)"'
label define edattan_lbl 1 `"Less than primary completed"', add
label define edattan_lbl 2 `"Primary completed"', add
label define edattan_lbl 3 `"Secondary completed"', add
label define edattan_lbl 4 `"University completed"', add
label define edattan_lbl 9 `"Unknown"', add
label values edattan edattan_lbl

label define edattand_lbl 000 `"NIU (not in universe)"'
label define edattand_lbl 100 `"Less than primary completed (n.s.)"', add
label define edattand_lbl 110 `"No schooling"', add
label define edattand_lbl 120 `"Some primary completed"', add
label define edattand_lbl 130 `"Primary (4 yrs) completed"', add
label define edattand_lbl 211 `"Primary (5 yrs) completed"', add
label define edattand_lbl 212 `"Primary (6 yrs) completed"', add
label define edattand_lbl 221 `"Lower secondary general completed"', add
label define edattand_lbl 222 `"Lower secondary technical completed"', add
label define edattand_lbl 311 `"Secondary, general track completed"', add
label define edattand_lbl 312 `"Some college completed"', add
label define edattand_lbl 320 `"Secondary or post-secondary technical completed"', add
label define edattand_lbl 321 `"Secondary, technical track completed"', add
label define edattand_lbl 322 `"Post-secondary technical education"', add
label define edattand_lbl 400 `"University completed"', add
label define edattand_lbl 999 `"Unknown/missing"', add
label values edattand edattand_lbl

label define yrschl_lbl 00 `"None or pre-school"'
label define yrschl_lbl 01 `"1 year"', add
label define yrschl_lbl 02 `"2 years"', add
label define yrschl_lbl 03 `"3 years"', add
label define yrschl_lbl 04 `"4 years"', add
label define yrschl_lbl 05 `"5 years"', add
label define yrschl_lbl 06 `"6 years"', add
label define yrschl_lbl 07 `"7 years"', add
label define yrschl_lbl 08 `"8 years"', add
label define yrschl_lbl 09 `"9 years"', add
label define yrschl_lbl 10 `"10 years"', add
label define yrschl_lbl 11 `"11 years"', add
label define yrschl_lbl 12 `"12 years"', add
label define yrschl_lbl 13 `"13 years"', add
label define yrschl_lbl 14 `"14 years"', add
label define yrschl_lbl 15 `"15 years"', add
label define yrschl_lbl 16 `"16 years"', add
label define yrschl_lbl 17 `"17 years"', add
label define yrschl_lbl 18 `"18 years or more"', add
label define yrschl_lbl 90 `"Not specified"', add
label define yrschl_lbl 91 `"Some primary"', add
label define yrschl_lbl 92 `"Some technical after primary"', add
label define yrschl_lbl 93 `"Some secondary"', add
label define yrschl_lbl 94 `"Some tertiary"', add
label define yrschl_lbl 95 `"Adult literacy"', add
label define yrschl_lbl 96 `"Special education"', add
label define yrschl_lbl 97 `"Response suppressed"', add
label define yrschl_lbl 98 `"Unknown/missing"', add
label define yrschl_lbl 99 `"NIU (not in universe)"', add
label values yrschl yrschl_lbl

label define educke_lbl 00 `"None"'
label define educke_lbl 01 `"Pre-primary"', add
label define educke_lbl 02 `"Standard 1, incomplete"', add
label define educke_lbl 03 `"Standard 1"', add
label define educke_lbl 04 `"Standard 2"', add
label define educke_lbl 05 `"Standard 3"', add
label define educke_lbl 06 `"Standard 4"', add
label define educke_lbl 07 `"Standard 5"', add
label define educke_lbl 08 `"Standard 6"', add
label define educke_lbl 09 `"Standard 7"', add
label define educke_lbl 10 `"Standard 8"', add
label define educke_lbl 11 `"Form 1"', add
label define educke_lbl 12 `"Form 2"', add
label define educke_lbl 13 `"Form 3"', add
label define educke_lbl 14 `"Form 4"', add
label define educke_lbl 15 `"Form 5"', add
label define educke_lbl 16 `"Form 6"', add
label define educke_lbl 20 `"Literacy program"', add
label define educke_lbl 30 `"Youth polytechnic"', add
label define educke_lbl 40 `"University, completion unspecified"', add
label define educke_lbl 41 `"University, incomplete"', add
label define educke_lbl 42 `"University, complete"', add
label define educke_lbl 43 `"College (training schools, etc)"', add
label define educke_lbl 44 `"University, undergraduate"', add
label define educke_lbl 45 `"University, Masters or PhD"', add
label define educke_lbl 50 `"Madrassa"', add
label define educke_lbl 98 `"Unknown/missing"', add
label define educke_lbl 99 `"NIU (not in universe)"', add
label values educke educke_lbl




