
** Appendix A

** Row 1

	capture drop match
	gen match = ed_match

	local Xs  catholic muslim protestant countryside male
	qui regress prim_years match `Xs' i.group i.cohort if period~=1, vce(cluster group_birth)
		outreg2 using output/appendixArow1.doc, keep(match) dec(3) nocons replace

	foreach var in  one_ed_match lag_ed_match three_ed_match four_ed_match {

			replace match = `var'

			local Xs  catholic muslim protestant countryside male
			qui regress prim_years match `Xs' i.group i.cohort if period~=1, vce(cluster group_birth)
				outreg2 using output/appendixArow1.doc, keep(match) dec(3) nocons append
		}

* Row 2
	capture drop match1
	gen match1 = ed_match

	local Xs  catholic muslim protestant countryside male
	qui regress prim_completion match1 `Xs' i.group i.cohort if period~=1, vce(cluster group_birth)
		outreg2 using output/appendixArow2.doc, keep(match1) dec(3) nocons replace

	foreach var in  one_ed_match lag_ed_match three_ed_match four_ed_match {

			replace match1 = `var'

			local Xs  catholic muslim protestant countryside male
			qui regress prim_completion match1 `Xs' i.group i.cohort if period~=1, vce(cluster group_birth)
				outreg2 using output/appendixArow2.doc, keep(match1) dec(3) nocons append
		}
	
	
	
	
** Row 3
capture drop match2
	gen match2 = ed_match

	local Xs  catholic muslim protestant countryside male
	qui regress prim_att match2 `Xs' i.group i.cohort if period~=1, vce(cluster group_birth)
		outreg2 using output/appendixArow3.doc, keep(match2) dec(3) nocons replace

	foreach var in  one_ed_match lag_ed_match three_ed_match four_ed_match {

			replace match2 = `var'

			local Xs  catholic muslim protestant countryside male
			qui regress prim_att match2 `Xs' i.group i.cohort if period~=1, vce(cluster group_birth)
				outreg2 using output/appendixArow3.doc, keep(match2) dec(3) nocons append
		}

* Row 4
	capture drop match3
	gen match3 = match_years

	local Xs  catholic muslim protestant countryside male
		qui regress prim_years match3 `Xs' i.group i.cohort if period~=1, vce(cluster group_birth)
		outreg2 using output/appendixArow4.doc, keep(match3) dec(3) nocons replace

	foreach var in  one_match_years  lag_match_years three_match_years four_match_years {

			replace match3 = `var'

			local Xs  catholic muslim protestant countryside male
			qui regress prim_years match3 `Xs' i.group i.cohort if period~=1, vce(cluster group_birth)
				outreg2 using output/appendixArow4.doc, keep(match3) dec(3) nocons append
		}
	
	
* Row 5
	capture drop match4
	gen match4 = match_years

	local Xs  catholic muslim protestant countryside male
		 qui regress prim_completion match4 `Xs' i.group i.cohort if period~=1, vce(cluster group_birth)
		outreg2 using output/appendixArow5.doc, keep(match4) dec(3) nocons replace

	foreach var in  one_match_years  lag_match_years three_match_years four_match_years {

			replace match4 = `var'

			local Xs  catholic muslim protestant countryside male
			qui qui regress prim_completion match4 `Xs' i.group i.cohort if period~=1, vce(cluster group_birth)
				outreg2 using output/appendixArow5.doc, keep(match4) dec(3) nocons append
		}

* Row 6
	capture drop match5
	gen match5 = match_years

	local Xs  catholic muslim protestant countryside male
		qui qui regress prim_att match5 `Xs' i.group i.cohort if period~=1, vce(cluster group_birth)
		outreg2 using output/appendixArow6.doc, keep(match5) dec(3) nocons replace

	foreach var in  one_match_years  lag_match_years three_match_years four_match_years {

			replace match5 = `var'

			local Xs  catholic muslim protestant countryside male
			qui qui regress prim_att match5 `Xs' i.group i.cohort if period~=1, vce(cluster group_birth)
				outreg2 using output/appendixArow6.doc, keep(match5) dec(3) nocons append
		}
		
** Row 7
	capture drop match6
	gen match6 = ed_match

	local Xs  catholic muslim protestant countryside male
	 poisson prim_years match6 `Xs' i.group i.cohort if period~=1, vce(cluster group_birth)
		outreg2 using output/appendixArow7.doc, keep(match6) dec(3) nocons replace

	foreach var in  one_ed_match lag_ed_match three_ed_match four_ed_match {

			replace match6 = `var'

			local Xs  catholic muslim protestant countryside male
			qui poisson prim_years match6 `Xs' i.group i.cohort if period~=1, vce(cluster group_birth)
				outreg2 using output/appendixArow7.doc, keep(match6) dec(3) nocons append
		}	

** ROw 8
	capture drop match7
	gen match7 = match_years

	local Xs  catholic muslim protestant countryside male
	 poisson prim_years match7 `Xs' i.group i.cohort if period~=1, vce(cluster group_birth)
		outreg2 using output/appendixArow8.doc, keep(match7) dec(3) nocons replace

	foreach var in  one_match_years  lag_match_years three_match_years four_match_years {

			replace match7 = `var'

			local Xs  catholic muslim protestant countryside male
			qui poisson prim_years match7 `Xs' i.group i.cohort if period~=1, vce(cluster group_birth)
				outreg2 using output/appendixArow8.doc, keep(match7) dec(3) nocons append
		}	
		

** Row 9

capture drop match9
	gen match9 = secondary_match_nolag

	local Xs  catholic muslim protestant countryside male
	qui regress secondary_years match9 `Xs' i.group i.cohort if period~=1, vce(cluster group_birth)
		outreg2 using output/appendixArow9.doc, keep(match9) dec(3) nocons replace

	foreach var in  one_secondary_match secondary_match three_secondary_match four_secondary_match{

			replace match9 = `var'

			local Xs  catholic muslim protestant countryside male
			qui regress secondary_years match9 `Xs' i.group i.cohort if period~=1, vce(cluster group_birth)
				outreg2 using output/appendixArow9.doc, keep(match9) dec(3) nocons append
		}
   
** Row 10
capture drop match10
	gen match10 = secondary_match_nolag

	local Xs  catholic muslim protestant countryside male
	qui regress secondary_comple match10 `Xs' i.group i.cohort if period~=1, vce(cluster group_birth)
		outreg2 using output/appendixArow10.doc, keep(match10) dec(3) nocons replace

	foreach var in  one_secondary_match secondary_match three_secondary_match four_secondary_match{

			replace match10 = `var'

			local Xs  catholic muslim protestant countryside male
			qui regress secondary_comple match10 `Xs' i.group i.cohort if period~=1, vce(cluster group_birth)
				outreg2 using output/appendixArow10.doc, keep(match10) dec(3) nocons append
		}

   
** Row 11
capture drop match11
	gen match11 = secondary_match_nolag

	local Xs  catholic muslim protestant countryside male
	qui regress secondary_atte match11 `Xs' i.group i.cohort if period~=1, vce(cluster group_birth)
		outreg2 using output/appendixArow11.doc, keep(match11) dec(3) nocons replace

	foreach var in  one_secondary_match secondary_match three_secondary_match four_secondary_match{

			replace match11 = `var'

			local Xs  catholic muslim protestant countryside male
			qui regress secondary_atte match11 `Xs' i.group i.cohort if period~=1, vce(cluster group_birth)
				outreg2 using output/appendixArow11.doc, keep(match11) dec(3) nocons append
		}

** 
**
** Row 12

capture drop match9
	gen match9 = secondary_match_years_nolag

	local Xs  catholic muslim protestant countryside male
	regress secondary_years match9 `Xs' i.group i.cohort if period~=1, vce(cluster group_birth)
		outreg2 using output/appendixArow12.doc, keep(match9) dec(3) nocons replace

	foreach var in  one_secondary_match_years secondary_match_years three_secondary_match_years four_secondary_match_years {

			replace match9 = `var'

			local Xs  catholic muslim protestant countryside male
			 regress secondary_years match9 `Xs' i.group i.cohort if period~=1, vce(cluster group_birth)
				outreg2 using output/appendixArow12.doc, keep(match9) dec(3) nocons append
		}
   
   
   
** Row 13
capture drop match10
	gen match10 = secondary_match_years_nolag

	local Xs  catholic muslim protestant countryside male
	qui regress secondary_comple match10 `Xs' i.group i.cohort if period~=1, vce(cluster group_birth)
		outreg2 using output/appendixArow13.doc, keep(match10) dec(3) nocons replace

	foreach var in  one_secondary_match_years secondary_match_years three_secondary_match_years four_secondary_match_years {

			replace match10 = `var'

			local Xs  catholic muslim protestant countryside male
			qui regress secondary_comple match10 `Xs' i.group i.cohort if period~=1, vce(cluster group_birth)
				outreg2 using output/appendixArow13.doc, keep(match10) dec(3) nocons append
		}

   
** Row 14
capture drop match11
	gen match11 = secondary_match_years_nolag

	local Xs  catholic muslim protestant countryside male
	qui regress secondary_atte match11 `Xs' i.group i.cohort if period~=1, vce(cluster group_birth)
		outreg2 using output/appendixArow14.doc, keep(match11) dec(3) nocons replace

	foreach var in  one_secondary_match_years secondary_match_years three_secondary_match_years four_secondary_match_years {

			replace match11 = `var'

			local Xs  catholic muslim protestant countryside male
			qui regress secondary_atte match11 `Xs' i.group i.cohort if period~=1, vce(cluster group_birth)
				outreg2 using output/appendixArow14.doc, keep(match11) dec(3) nocons append
		}
		
		
		

