

set more off

* Primary Education - Presidential Match

	* Column 1 -  Primary Attendance
		local Xs  catholic muslim protestant countryside male
		logit prim_attend lag_ed_match `Xs' i.group i.cohort if period~=1, vce(cluster group_ed)
		*qui logit prim_attend lag_ed_match `Xs' i.group i.cohort if period~=1, vce(cluster group_edregime)
			outreg2 using output/appendixD.doc, keep(lag_ed_match lag_match_years) dec(3) replace

	* Column 2 - Primary Attendance
		local Xs  catholic muslim protestant countryside male
		logit prim_attend lag_match_years `Xs' i.group i.cohort if period~=1, vce(cluster group_ed)
		*qui logit prim_attend lag_match_years `Xs' i.group i.cohort if period~=1, vce(cluster group_edregime)
			outreg2 using output/appendixD.doc, keep(lag_ed_match lag_match_years) dec(3) append

	* Column 3 -  Primary Completion
		local Xs  catholic muslim protestant countryside male
		logit prim_completion lag_ed_match `Xs' i.group i.cohort if period~=1, vce(cluster group_ed)
		*qui logit prim_completion lag_ed_match `Xs' i.group i.cohort if period~=1, vce(cluster group_edregime)
			outreg2 using output/appendixD.doc, keep(lag_ed_match lag_match_years) dec(3) append

	** Column 4 - Primary Completion
		local Xs  catholic muslim protestant countryside male
		logit prim_completion lag_match_years `Xs' i.group  i.cohort if period~=1, vce(cluster group_ed)
		*qui logit prim_completion lag_match_years `Xs' i.group i.cohort if period~=1, vce(cluster group_edregime)
		outreg2 using output/appendixD.doc, keep(lag_ed_match lag_match_years) dec(3) append

	* Column 5 - Primary Completion w/census data

		* Read in IPUMS data
		use kp_census_ipums_rep, clear

		 logit primary_completion lag_ed_match male i.birth_year i.bplke if colonial_primary==0, vce(cluster bplke)
		outreg2 using output/appendixD.doc, keep(lag_ed_match ) dec(3) append

* Secondary Education - Presidential Match

	use kp_dhs_rep, clear


	* Column 6 Secondary attendance
	local Xs  catholic muslim protestant countryside male
	 logit secondary_attend secondary_match `Xs' i.group  i.cohort if period~=1, vce(cluster group_ed)
		outreg2 using output/appendixD.doc, keep(secondary_match secondary_match_years) dec(3) append

	* Column 7 Secondary attendance
	local Xs  catholic muslim protestant countryside male
	  logit secondary_attend secondary_match_years `Xs' i.group  i.cohort if period~=1, vce(cluster group_ed)
		outreg2 using output/appendixD.doc, keep(secondary_match secondary_match_years) dec(3) append

	** Column 8 Secondary completion
	local Xs  catholic muslim protestant countryside male
	 logit secondary_complete secondary_match `Xs' i.group  i.cohort if period~=1, vce(cluster group_ed)
		outreg2 using output/appendixD.doc, keep(secondary_match secondary_match_years) dec(3) append

	** Column 9 Secondary completion
	local Xs  catholic muslim protestant countryside male
	  logit secondary_complete secondary_match_years `Xs' i.group  i.cohort if period~=1, vce(cluster group_ed)
		outreg2 using output/appendixD.doc, keep(secondary_match secondary_match_years) dec(3) append


* Education Minister

		* C10 - Attendnace
		local Xs  catholic muslim protestant countryside male
		 logit prim_att minister_match_years lag_ed_match `Xs' i.group i.cohort , vce(cluster group_ed)
			outreg2 using output/appendixD.doc, keep(lag_ed_match minister_match_years secondary_match lag_sec_minister) dec(3) append

		* C1 - Completion
		local Xs  catholic muslim protestant countryside male
		 logit prim_c minister_match_years lag_ed_match `Xs' i.group i.cohort , vce(cluster group_ed)
			outreg2 using output/appendixD.doc, keep(lag_ed_match minister_match_years secondary_match lag_sec_minister) dec(3) append

		* C12 - Secondary attendance
		local Xs  catholic muslim protestant countryside male
		 logit secondary_attend secondary_match lag_sec_minister `Xs' i.group  i.cohort if period~=1, vce(cluster  group_ed)
			outreg2 using output/appendixD.doc, keep(lag_ed_match minister_match_years secondary_match lag_sec_minister) dec(3) append


		* C13 - Secondary completion
		local Xs  catholic muslim protestant countryside male
		 logit secondary_complete secondary_match lag_sec_minister `Xs' i.group  i.cohort if period~=1, vce(cluster  group_ed)
			outreg2 using output/appendixD.doc, keep(lag_ed_match minister_match_years secondary_match lag_sec_minister) dec(3) append
