



** This file produces Appendix E

gen match_moi = lag_ed_match*moi_era
	label variable match_moi "Presidential Ethnic Match x Moi"

gen years_moi = lag_match_years*moi_era
	label variable years_moi "# Ethnic Match Years x Moi"

* Column 1 - Primary Years
	local Xs  catholic muslim protestant countryside male
	 areg prim_years lag_ed_match match_moi moi_era `Xs' i.group  if period~=1, absorb(cohort) vce(cluster group_ed)
		outreg2 using output/appendixE_1.doc, keep(lag_ed_match lag_match_years match_moi years_moi ) dec(3) replace
	
* Column 2  - Primary Years
	local Xs  catholic muslim protestant countryside male
	regress prim_years lag_match_years years_moi moi_era `Xs' i.group i.cohort if period~=1, vce(cluster group_ed)
		outreg2 using output/appendixE_1.doc, keep(lag_ed_match lag_match_years match_moi years_moi ) dec(3) append

* Column 3 -  Primary Attendance
	local Xs  catholic muslim protestant countryside male
	*logit prim_attend lag_ed_match `Xs' i.group i.cohort if period~=1, vce(cluster group_ed)
	regress prim_attend lag_ed_match match_moi moi_era `Xs' i.group i.cohort if period~=1, vce(cluster group_edregime)
		outreg2 using output/appendixE_1, keep(lag_ed_match lag_match_years match_moi years_moi ) dec(3) append

* Column 4 - Primary Attendance
	local Xs  catholic muslim protestant countryside male
	*logit prim_attend lag_match_years `Xs' i.group i.cohort if period~=1, vce(cluster group_ed)
	regress prim_attend lag_match_years years_moi moi_era `Xs' i.group i.cohort if period~=1, vce(cluster group_edregime)
		outreg2 using output/appendixE_1.doc, keep(lag_ed_match lag_match_years match_moi years_moi) dec(3) append

* Column 5 -  Primary Completion
	local Xs  catholic muslim protestant countryside male
	*logit prim_completion lag_ed_match `Xs' i.group i.cohort if period~=1, vce(cluster group_ed)
	regress prim_completion lag_ed_match match_moi moi_era `Xs' i.group i.cohort if period~=1, vce(cluster group_edregime)
		outreg2 using output/appendixE_1.doc, keep(lag_ed_match lag_match_years match_moi years_moi ) dec(3) append

** Column 6 - Primary Completion
	local Xs  catholic muslim protestant countryside male
	*logit prim_completion lag_match_years `Xs' i.group  i.cohort if period~=1, vce(cluster group_ed)
	regress prim_completion lag_match_years years_moi moi_era `Xs' i.group i.cohort if period~=1, vce(cluster group_edregime)
	outreg2 using output/appendixE_1.doc, keep(lag_ed_match lag_match_years match_moi years_moi ) dec(3) append

	
************

replace match_moi = secondary_match*moi_era_secondary

replace years_moi = secondary_match_years*moi_era_secondary


* Column 1 Secondary years
local Xs  catholic muslim protestant countryside male
 areg secondary_years secondary_match match_moi moi_era_secondary `Xs' i.group if period~=1, absorb(cohort) vce(cluster group_ed)
	outreg2 using output/appendixE_2.doc, keep(secondary_match secondary_match_years match_moi years_moi ) dec(3)replace

* Column 2 Secondary years
local Xs  catholic muslim protestant countryside male
 areg secondary_years secondary_match_years years_moi moi_era_secondary `Xs' i.group   if period~=1, absorb(cohort) vce(cluster group_ed)
	outreg2 using output/appendixE_2.doc, keep(secondary_match secondary_match_years match_moi years_moi ) dec(3) append

* Column 3 Secondary attendance
local Xs  catholic muslim protestant countryside male
 areg secondary_attend secondary_match match_moi moi_era_secondary `Xs' i.group   if period~=1, absorb(cohort) vce(cluster group_ed)
	outreg2 using output/appendixE_2.doc, keep(secondary_match secondary_match_years match_moi years_moi ) dec(3) append

* Column 4 Secondary attendance
local Xs  catholic muslim protestant countryside male
 areg secondary_attend secondary_match_years years_moi moi_era_secondary `Xs' i.group   if period~=1,absorb(cohort) vce(cluster group_ed)
	outreg2 using output/appendixE_2.doc, keep(secondary_match secondary_match_years match_moi years_moi ) dec(3) append

** Column 5 Secondary completion
local Xs  catholic muslim protestant countryside male
 areg secondary_complete secondary_match match_moi moi_era_secondary  `Xs' i.group   if period~=1, absorb(cohort) vce(cluster group_ed)
	outreg2 using output/appendixE_2.doc, keep(secondary_match secondary_match_years match_moi years_moi ) dec(3) append

** Column 6 Secondary completion
local Xs  catholic muslim protestant countryside male
 areg secondary_complete secondary_match_years years_moi moi_era_secondary `Xs' i.group   if period~=1,absorb(cohort) vce(cluster group_ed)
	outreg2 using output/appendixE_2.doc, keep(secondary_match secondary_match_years match_moi years_moi )  dec(3) append
