

** Appendix F -- robustness checks on impact of democratization

* multiparty_98_lag captures number of years of primary school under multiparty politics with 1998 transition
* multi_secondary_lag98 captures number of years of secondary school under multiparty politics with 1998 transition


* Column 1 President x democracy (1998 transition)
gen pres_interaction = lag_ed_match * multiparty_98_lag
label variable pres_interaction "Presidential Ethnic Match x Multiparty Years"
local Xs  catholic muslim protestant countryside male
	regress prim_years lag_ed_match pres_interaction multiparty_98_lag `Xs' i.group i.cohort if period~=1, vce(cluster group_ed)
	outreg2 using output/appendixF.doc, keep(lag_ed_match pres_interaction multiparty_98_lag) dec(3) replace

* Column 2 Education minister x democracy (1998 transition)
gen min_interaction = minister_match_years*multiparty_98_lag
label variable min_interaction "Minister Ethnic Match x Multiparty Years"
local Xs  catholic muslim protestant countryside male
	regress prim_years lag_ed_match minister_match_years min_interaction multiparty_98_lag  `Xs' i.group i.cohort , vce(cluster group_ed)
	outreg2 using output/appendixF.doc, keep(lag_ed_match  minister_match_years min_interaction multiparty_98_lag) dec(3) append

	
* Column 3 President x democracy (1998 transition) -- secondary
replace pres_interaction = secondary_match * multi_secondary_lag98
local Xs  catholic muslim protestant countryside male
	regress secondary_years secondary_match pres_interaction multiparty_98_lag `Xs' i.group i.cohort if period~=1, vce(cluster group_ed)
	outreg2 using output/appendixF.doc, keep(lag_ed_match secondary_match pres_interaction minister_match_years min_interaction multiparty_98_lag multi_secondary_lag98) dec(3) append

* Column 4 Education minister x democracy (1998 transition) -- secondary
replace min_interaction = lag_sec_minister_match * multi_secondary_lag98
local Xs  catholic muslim protestant countryside male
	regress secondary_years secondary_match lag_sec_minister_match min_interaction multiparty_98_lag  `Xs' i.group i.cohort , vce(cluster group_ed)
	outreg2 using output/appendixF.doc, keep(lag_ed_match secondary_match pres_interaction lag_sec_minister_match min_interaction multiparty_98_lag multi_secondary_lag98) dec(3) append
	
*************************
** POLITY SCORES


* Column 5 President x democracy (polity)
replace pres_inter = lag_ed_match * polity_average
local Xs  catholic muslim protestant countryside male
	regress prim_years lag_ed_match pres_inter polity_average `Xs' i.group i.cohort if period~=1, vce(cluster group_ed)
	outreg2 using output/appendixF.doc, keep(lag_ed_match pres_inter polity_average) dec(3) append

* Column 6 Minister x Democracy (polity)
replace min_inter = minister_match_years * polity_avera
local Xs  catholic muslim protestant countryside male
	regress prim_years lag_ed_match minister_match_years min_inter polity_avera  `Xs' i.group i.cohort , vce(cluster group_ed)
	outreg2 using output/appendixF.doc, keep(lag_ed_match pres_inter minister_match_years min_inter polity_avera) dec(3) append

	
* Column 7 President x democracy (polity) -- secondary
replace pres_interaction = secondary_match * polity_secondary_average
local Xs  catholic muslim protestant countryside male
	regress secondary_years secondary_match pres_interaction polity_secondary_average `Xs' i.group i.cohort if period~=1, vce(cluster group_ed)
	outreg2 using output/appendixF.doc, keep(lag_ed_match secondary_match pres_interaction minister_match_years min_interaction polity_secondary_average) dec(3) append

* Column 8 Education minister x democracy (polity) -- secondary
replace min_interaction = lag_sec_minister_match * polity_secondary_average
local Xs  catholic muslim protestant countryside male
	regress secondary_years secondary_match lag_sec_minister_match min_interaction polity_secondary_average  `Xs' i.group i.cohort , vce(cluster group_ed)
	outreg2 using output/appendixF.doc, keep(lag_ed_match secondary_match pres_interaction lag_sec_minister_match min_interaction polity_secondary_average) dec(3) append
	
