

** Panel A -- Group by time period, primary education

	* Create matrix to store results
	matrix define pA = J(8, 7, .)
	matrix list pA
	matrix rownames pA = Kalenjin Kamba Kikuyu Luhya Luo Others All Observations
	matrix colnames pA = Colonial 1960s 1970s 1980s 1990s 2000s All

	* 
		* column 1
		forvalues i = 1(1)6 {
			summ prim_years if group==2&period==`i', mean
			matrix pA[1, `i'] = round(r(mean), .01)
		}
		summ prim_years if group==2
			matrix pA[1, 7] = round(r(mean), .01)

		* column 2
		forvalues i = 1(1)6 {
			summ prim_years if group==4&period==`i', mean
			matrix pA[2, `i'] = round(r(mean), .01)
		}
		summ prim_years if group==4
			matrix pA[2, 7] = round(r(mean), .01)

		* column 3
		forvalues i = 1(1)6 {
			summ prim_years if group==1&period==`i', mean
			matrix pA[3, `i'] = round(r(mean), .01)
		}
		summ prim_years if group==1
			matrix pA[3, 7] = round(r(mean), .01)

		* column 4		
		forvalues i = 1(1)6 {
			summ prim_years if group==5&period==`i', mean
			matrix pA[4, `i'] = round(r(mean), .01)
		}
		summ prim_years if group==5
			matrix pA[4, 7] = round(r(mean), .01)

		*column 5
		forvalues i = 1(1)6 {
			summ prim_years if group==3&period==`i', mean
			matrix pA[5, `i'] = round(r(mean), .01)
		}
		summ prim_years if group==3
			matrix pA[5, 7] = round(r(mean), .01)

		* column 6
		forvalues i = 1(1)6 {
			summ prim_years if group==6&period==`i', mean
			matrix pA[6, `i'] = round(r(mean), .01)
		}
		summ prim_years if group==6
			matrix pA[6, 7] = round(r(mean), .01)

	* row 7
	forvalues i = 1(1)6 {
			summ prim_years if period==`i', mean
			matrix pA[7, `i'] = round(r(mean), .01)
		}
		summ prim_years 
			matrix pA[7, 7] = round(r(mean), .01)
	
	* row 8
	gen count = 1
	egen obs = sum(count), by(period)
	forvalues i = 1(1)6 {
			summ obs if period==`i', mean
			matrix pA[8, `i'] = round(r(mean), .01)
		}
	egen obs1 = sum(count)
	summ obs1, mean
	matrix pA[8, 7] = round(r(mean), .01)
	drop obs obs1 count

*******************************************************************************
		
** Panel B -- Group by time period, secondary

	* Create matrix to store results
	matrix define pB = J(8, 7, .)
	matrix list pB
	matrix rownames pB = Kalenjin Kamba Kikuyu Luhya Luo Others All Observations
	matrix colnames pB = Colonial 1960s 1970s 1980s 1990s 2000s All

	* 
		* column 1
		forvalues i = 1(1)6 {
			summ secondary_years if group==2&period_secondary==`i', mean
			matrix pB[1, `i'] = round(r(mean), .01)
		}
		summ secondary_years if group==2
			matrix pB[1, 7] = round(r(mean), .01)

		* column 2
		forvalues i = 1(1)6 {
			summ secondary_years if group==4&period_secondary==`i', mean
			matrix pB[2, `i'] = round(r(mean), .01)
		}
		summ secondary_years if group==4
			matrix pB[2, 7] = round(r(mean), .01)

		* column 3
		forvalues i = 1(1)6 {
			summ secondary_years if group==1&period_secondary==`i', mean
			matrix pB[3, `i'] = round(r(mean), .01)
		}
		summ secondary_years if group==1
			matrix pB[3, 7] = round(r(mean), .01)

		* column 4		
		forvalues i = 1(1)6 {
			summ secondary_years if group==5&period_secondary==`i', mean
			matrix pB[4, `i'] = round(r(mean), .01)
		}
		summ secondary_years if group==5
			matrix pB[4, 7] = round(r(mean), .01)

		*column 5
		forvalues i = 1(1)6 {
			summ secondary_years if group==3&period_secondary==`i', mean
			matrix pB[5, `i'] = round(r(mean), .01)
		}
		summ secondary_years if group==3
			matrix pB[5, 7] = round(r(mean), .01)

		* column 6
		forvalues i = 1(1)6 {
			summ secondary_years if group==6&period_secondary==`i', mean
			matrix pB[6, `i'] = round(r(mean), .01)
		}
		summ secondary_years if group==6
			matrix pB[6, 7] = round(r(mean), .01)

	* row 7
	forvalues i = 1(1)6 {
			summ secondary_years if period_secondary==`i', mean
			matrix pB[7, `i'] = round(r(mean), .01)
		}
		summ secondary_years 
			matrix pB[7, 7] = round(r(mean), .01)
	
	* row 8
	gen count = 1
	egen obs = sum(count), by(period_secondary)
	forvalues i = 1(1)6 {
			summ obs if period_secondary==`i', mean
			matrix pB[8, `i'] = round(r(mean), .01)
		}
	egen obs1 = sum(count)
	summ obs1, mean
	matrix pB[8, 7] = round(r(mean), .01)
	drop obs obs1 count
			

			
*************************************
* Table 1 Panel C -- Group by presidential political regime

	* Create matrix to store results
	matrix define pC = J(7, 5, .)
	matrix list pC
	matrix rownames pC = Kalenjin Kamba Kikuyu Luhya Luo  All Observations
	matrix colnames pC = Kenyatta Moi Kibaki KenyattaToMoi MoiToKibaki
	
		* row 1
		forvalues i = 1(1)3 {
			summ prim_years if group==2&regime==`i', mean
			matrix pC[1, `i'] = round(r(mean), .01)
		}
	
		* row 2
		forvalues i = 1(1)3 {
			summ prim_years if group==4&regime==`i', mean
			matrix pC[2, `i'] = round(r(mean), .01)
		}
	
		* row 3
		forvalues i = 1(1)3 {
			summ prim_years if group==1&regime==`i', mean
			matrix pC[3, `i'] = round(r(mean), .01)
		}
	
		* row 4		
		forvalues i = 1(1)3 {
			summ prim_years if group==5&regime==`i', mean
			matrix pC[4, `i'] = round(r(mean), .01)
		}

		* row 5
		forvalues i = 1(1)3 {
			summ prim_years if group==3&regime==`i', mean
			matrix pC[5, `i'] = round(r(mean), .01)
		}

		* row 6
		forvalues i = 1(1)3 {
			summ prim_years if group==6&regime==`i', mean
			matrix pC[6, `i'] = round(r(mean), .01)
		}

		* Row 7
		gen count = 1
		egen obs = sum(count), by(regime)
		forvalues i = 1(1)3 {
			summ obs if regime==`i', mean
			matrix pC[7, `i'] = round(r(mean), .01)
		}
		drop count obs
	
	** Calculate change over national average
	egen gmean = mean(prim_year), by(group regime)
	
	gen gmean1 =.
	gen gmean2=.
	gen gmean3=.
	forvalues i=1(1)5 {
		forvalues j=1(1)3 {
			summ gmean if group==`i' & regime==`j'
			replace gmean`j' = r(mean) if group==`i'
		}
	}
	egen natmean = mean(prim_year), by(regime)
	gen nmean1 =.
	gen nmean2 =.
	gen nmean3=.
	forvalues j=1(1)3 {
			summ natmean if  regime==`j'
			replace nmean`j' = r(mean) 
		}
	
	gen gdelta2 = (gmean2 - gmean1)/gmean1
	gen ndelta2 = (nmean2 - nmean1)/nmean1
		tab ndelta2
	gen pdelta2 = gdelta2 - ndelta2
		tab pdelta2
	
	gen gdelta3 = (gmean3 - gmean2)/gmean2
	gen ndelta3 = (nmean3 - nmean2)/nmean2
		tab ndelta3
	gen pdelta3 = gdelta3 - ndelta3
		tab pdelta3
	
	* Column 4
	summ pdelta2 if group==2
		matrix pC[1, 4] = 100*round(r(mean), .01)
	summ pdelta2 if group==4
		matrix pC[2, 4] =100*round(r(mean), .01)
	summ pdelta2 if group==1
		matrix pC[3, 4] =100*round(r(mean), .01)
	summ pdelta2 if group==5
		matrix pC[4, 4] =100*round(r(mean), .01)
	summ pdelta2 if group==3
		matrix pC[5, 4] =100*round(r(mean), .01)
	matrix list pC
	
	* Column 5
	summ pdelta3 if group==2
		matrix pC[1, 5] =100*round(r(mean), .01)
	summ pdelta3 if group==4
		matrix pC[2, 5] =100*round(r(mean), .01)
	summ pdelta3 if group==1
		matrix pC[3, 5] =100*round(r(mean), .01)
	summ pdelta3 if group==5
		matrix pC[4, 5] =100*round(r(mean), .01)
	summ pdelta3 if group==3
		matrix pC[5, 5] =100*round(r(mean), .01)
	
	
	

			
******************************************************************			
* Table 1 Panel D -- Group by presidential political regime, secondary

	* Create matrix to store results
	matrix define pD = J(7, 5, .)
	matrix list pD
	matrix rownames pD = Kalenjin Kamba Kikuyu Luhya Luo  All Observations
	matrix colnames pD = Kenyatta Moi Kibaki KenyattaToMoi MoiToKibaki
	
		* row 1
		forvalues i = 1(1)3 {
			summ secondary_years if group==2&regime_secondary==`i', mean
			matrix pD[1, `i'] = round(r(mean), .01)
		}
	
		* row 2
		forvalues i = 1(1)3 {
			summ secondary_years if group==4&regime_secondary==`i', mean
			matrix pD[2, `i'] = round(r(mean), .01)
		}
	
		* row 3
		forvalues i = 1(1)3 {
			summ secondary_years if group==1&regime_secondary==`i', mean
			matrix pD[3, `i'] = round(r(mean), .01)
		}
	
		* row 4		
		forvalues i = 1(1)3 {
			summ secondary_years if group==5&regime_secondary==`i', mean
			matrix pD[4, `i'] = round(r(mean), .01)
		}

		* row 5
		forvalues i = 1(1)3 {
			summ secondary_years if group==3&regime_secondary==`i', mean
			matrix pD[5, `i'] = round(r(mean), .01)
		}

		* row 6
		forvalues i = 1(1)3 {
			summ secondary_years if group==6&regime_secondary==`i', mean
			matrix pD[6, `i'] = round(r(mean), .01)
		}

		* Row 7
		gen count = 1
		egen obs = sum(count), by(regime_secondary)
		forvalues i = 1(1)3 {
			summ obs if regime_secondary==`i', mean
			matrix pD[7, `i'] = round(r(mean), .01)
		}
		drop count obs
	
	** Calculate change over national average
	drop gmean
	egen gmean = mean(secondary_year), by(group regime_secondary)
	
	replace gmean1 =.
	replace gmean2=.
	replace gmean3=.
	forvalues i=1(1)5 {
		forvalues j=1(1)3 {
			summ gmean if group==`i' & regime_secondary==`j'
			replace gmean`j' = r(mean) if group==`i'
		}
	}
	drop natmean
	egen natmean = mean(secondary_year), by(regime_secondary)
	replace nmean1 =.
	replace nmean2 =.
	replace nmean3=.
	forvalues j=1(1)3 {
			summ natmean if  regime_secondary==`j'
			replace nmean`j' = r(mean) 
		}
	
	drop gdelta2 ndelta2 pdelta2 gdelta3 ndelta3 pdelta3
	
	gen gdelta2 = (gmean2 - gmean1)/gmean1
	gen ndelta2 = (nmean2 - nmean1)/nmean1
		tab ndelta2
	gen pdelta2 = gdelta2 - ndelta2
		tab pdelta2
	
	gen gdelta3 = (gmean3 - gmean2)/gmean2
	gen ndelta3 = (nmean3 - nmean2)/nmean2
		tab ndelta3
	gen pdelta3 = gdelta3 - ndelta3
		tab pdelta3
	
	* Column 4
	summ pdelta2 if group==2
		matrix pD[1, 4] = 100*round(r(mean), .01)
	summ pdelta2 if group==4
		matrix pD[2, 4] =100*round(r(mean), .01)
	summ pdelta2 if group==1
		matrix pD[3, 4] =100*round(r(mean), .01)
	summ pdelta2 if group==5
		matrix pD[4, 4] =100*round(r(mean), .01)
	summ pdelta2 if group==3
		matrix pD[5, 4] =100*round(r(mean), .01)
	matrix list pD
	
	* Column 5
	summ pdelta3 if group==2
		matrix pD[1, 5] =100*round(r(mean), .01)
	summ pdelta3 if group==4
		matrix pD[2, 5] =100*round(r(mean), .01)
	summ pdelta3 if group==1
		matrix pD[3, 5] =100*round(r(mean), .01)
	summ pdelta3 if group==5
		matrix pD[4, 5] =100*round(r(mean), .01)
	summ pdelta3 if group==3
		matrix pD[5, 5] =100*round(r(mean), .01)
	
	
	
