

** PANEL A

	/* Column 1 - main test
	Narrow to age cohorts who would have started primary school between 1977 and 1983
	age_six_match indicates a match at age 6   */
	local Xs i.group catholic muslim protestant countryside male i.cohort
	regress prim_attend age_six_match `Xs' if cohort>1976 & cohort < 1984, vce(cluster group_birthyear)
			outreg2 using output/table4a.doc, keep(age_six_match age6_placebo_76 age6_placebo_82) dec(3) replace

		
	* Column 2 - placebo test 1 -- Incorrectly code transition as 1976 
	local Xs i.group catholic muslim protestant countryside male i.cohort
	regress prim_attend age6_placebo_76 `Xs' if cohort>1973 & cohort < 1980, vce(cluster group_birthyear)
			outreg2 using output/table4a.doc, keep(age_six_match age6_placebo_76 age6_placebo_82) dec(3) append

	* Column 3 placebo test 2 -- Incorrectly code transition as 1982 
	local Xs i.group catholic muslim protestant countryside male i.cohort
	regress prim_attend age6_placebo_82 `Xs' if cohort>1979 & cohort < 1986, vce(cluster group_birthyear)
			outreg2 using output/table4a.doc, keep(age_six_match age6_placebo_76 age6_placebo_82) dec(3) append


/* PANEL B
	Narrows the window to the last 3 cohorts who spent majority of primary school age years under kenyatta
	and first 3 cohorts who spent majority of primary school age years under Moi
	Only examines those who began primary school at all
	*/

	* Column 1
	local Xs i.group catholic muslim protestant countryside male i.cohort
	regress prim_comple lag_ed_match `Xs'  if cohort+7>1979&cohort+7 < 1986&prim_attend==1, vce(cluster group_birthyear)
			outreg2 using output/table4b.doc, keep(lag_ed_match match_placebo_76 match_placebo_82) dec(3) replace
	
	* Column 2 - Placebo test around 1976
	local Xs i.group catholic muslim protestant countryside male i.cohort
	regress prim_com match_placebo_76 `Xs'  if cohort > 1969 & cohort < 1977&prim_attend==1, vce(cluster group_birthyear)
			outreg2 using output/table4b.doc, keep(lag_ed_match match_placebo_76 match_placebo_82) dec(3) append

	* Column 3 - Placebo test around 1982
	local Xs i.group catholic muslim protestant countryside male i.cohort
	regress prim_com match_placebo_82 `Xs'  if cohort > 1976 & cohort < 1983&prim_attend==1, vce(cluster group_birthyear)
				outreg2 using output/table4b.doc, keep(lag_ed_match match_placebo_76 match_placebo_82) dec(3) append

				


*PANEL C
** narrows window to cohorts who would have started secondary school between 1977 and 1982
	
	* Column 1
	
	local Xs i.group catholic muslim protestant countryside male i.cohort
	regress secondary_attend sma `Xs'  if cohort+8>1976&cohort+8 < 1983, vce(cluster group_birthyear)
			outreg2 using output/table4c.doc, keep(sma sma76 sma82) dec(3) replace

	* Column 2 - Placebo around fake 1976 transtion			
	
	local Xs i.group catholic muslim protestant countryside male i.cohort
	regress secondary_attend sma76 `Xs'  if cohort+8>1976-3&cohort+8 < 1983-3, vce(cluster group_birthyear)
			outreg2 using output/table4c.doc, keep(sma sma76 sma82) dec(3) append	
	
	* Column 3 - Placebo around fake 1982 transtion			
	
	local Xs i.group catholic muslim protestant countryside male i.cohort
	regress secondary_attend sma82  `Xs'  if cohort+8>1976+3&cohort+8 < 1983+3, vce(cluster group_birthyear)
			outreg2 using output/table4c.doc, keep(sma sma76 sma82) dec(3) append	
	

	
	

** PANEL D

	* Column 1
	local Xs i.group catholic muslim protestant countryside male i.cohort
	regress secondary_complete smacomplete `Xs'  if cohort+11>1976&cohort+11 < 1983&secondary_attend==1, vce(cluster group_birthyear)
			outreg2 using output/table4d.doc, keep(smacomplete smacomplete76 smacomplete82) dec(3) replace

	* Column 2
	local Xs i.group catholic muslim protestant countryside male i.cohort
	regress secondary_complete smacomplete76 `Xs'  if cohort+11>1976-3&cohort+11 < 1983-3&secondary_attend==1, vce(cluster group_birthyear)
			outreg2 using output/table4d.doc, keep(smacomplete smacomplete76 smacomplete82) dec(3) append

	* Column 3
	local Xs i.group catholic muslim protestant countryside male i.cohort
	regress secondary_complete smacomplete82 `Xs'  if cohort+11>1976+3&cohort+11 < 1983+3&secondary_attend==1, vce(cluster group_birthyear)
			outreg2 using output/table4d.doc, keep(smacomplete smacomplete76 smacomplete82) dec(3) append
