

** This file produces Table 6

use kp_census_ipums_rep, clear

* Column 1 -- Are effects stronger in home districts?

	gen kiambu_match = lag_ed_match*kiambu
		label variable kiambu_match "District Ethnic Match x Kiambu"

	gen baringo_match = lag_ed_match*baringo
		label variable baringo_match "District Ethnic Match x Baringo"

	gen nyeri_match = lag_ed_match*nyeri
		label variable nyeri_match "District Ethnic Match x Nyeri"
		
	qui regress primary_years lag_ed_match kiambu_match baringo_match nyeri_match male i.birth_year i.bplke if colonial_primary==0, vce(cluster bplke)
		outreg2 using output/table6.doc, keep(lag_ed_match kiambu_match baringo_match nyeri_match) dec(3) replace

* Column 2 -- Secondary years, home districts


	gen kiambu_match_sec = secondary_match*kiambu
		label variable kiambu_match_sec "District Ethnic Match x Kiambu (secondary years)"

	gen baringo_match_sec = secondary_match*baringo
		label variable baringo_match_sec "District Ethnic Match x Baringo (secondary years)"

	gen nyeri_match_sec = secondary_match*nyeri
		label variable nyeri_match_sec "District Ethnic Match x Nyeri (secondary years)"
		
	qui regress secondary_years secondary_match kiambu_match_sec baringo_match_sec nyeri_match_sec male i.birth_year i.bplke if colonial_secondary==0, vce(cluster bplke)
		outreg2 using output/table6.doc, keep(secondary_match kiambu_match_sec baringo_match_sec nyeri_match_sec) dec(3) append



* Column 3 - Ethnic coalition partner match, primary yeats

use kp_dhs_rep, clear


	local Xs  catholic muslim protestant countryside male meruembu maas turkana
	qui regress prim_years lag_ed_match lag_coalition_match `Xs' i.group i.cohort if period~=1, vce(cluster group_ed)
		outreg2 using output/table6.doc, keep(lag_ed_match lag_coalition_match) dec(3) append


* Column 4 -= Ethnic colation match, seoncdary years

	local Xs  catholic muslim protestant countryside male meruembu maas turkana
	regress secondary_years secondary_match secondary_coalition_match `Xs' i.group i.cohort if period~=1, vce(cluster group_ed)
		outreg2 using output/table6.doc, keep(secondary_match secondary_coalition_match) dec(3) append


* Column 5 - Interact coalition with Moi era, primary years

	gen coalition_moi = lag_coalition_match*moi_era
		label variable coalition_moi "Ethnic Coalition Partner Match x Moi Era"
	
	local Xs  catholic muslim protestant countryside male meruembu maas turkana
	qui regress prim_years lag_ed_match lag_coalition_match coalition_moi moi_era  `Xs' i.group i.cohort if period~=1, vce(cluster group_ed)
		outreg2 using output/table6.doc, keep( lag_ed_match lag_coalition_match coalition_moi ) dec(3) append


* Column 6 - Interact coalition with Moi era, secondary years

	gen coalition_moi_sec = secondary_coalition_matc*moi_era_se
	label variable coalition_moi_sec "Ethnic Coalition Partner Match (secondary) x Moi Era (secondary) "
	
	local Xs  catholic muslim protestant countryside male meruembu maas turkana
	regress secondary_years  secondary_match secondary_coalition_matc coalition_moi_sec moi_era_sec  `Xs' i.group i.cohort if period~=1, vce(cluster group_ed)
		outreg2 using output/table6.doc, keep(secondary_match secondary_coalition_matc coalition_moi_sec ) dec(3) append

