

** Multiparty

* Column 1 -- President x Democracy, primary years

gen match_multi = lag_ed_match* multi_lag
	label variable match_multi "Presidential Ethnic Match x Multipary Years (primary years)"

local Xs  catholic muslim protestant countryside male
	regress prim_years lag_ed_match match_multi multi_lag `Xs' i.group i.cohort if period~=1, vce(cluster group_ed)
	outreg2 using output/table9.doc, keep(lag_ed_match match_multi multi_lag) dec(3) replace

* Column 2 - Education Minister x Democracy

gen min_multi = minister_match_years*multi_lag
	label variable min_multi "Ed. Minister Match x Multipary Years (primary years)"

local Xs  catholic muslim protestant countryside male
	regress prim_years lag_ed_match min_multi multi_lag minister_match_years `Xs' i.group i.cohort if period~=1, vce(cluster group_ed)
	outreg2 using output/table9.doc, keep(lag_ed_match min_multi multi_lag minister_match_years) dec(3) append


* Column 3 -- President x democracy, secondary years

gen match_multi_sec = secondary_match* multi_secondary_lag
	label variable match_multi_sec "Presidential Ethnic Match x Multipary Years (secondary years)"

local Xs  catholic muslim protestant countryside male
regress secondary_years secondary_match match_multi_sec multi_secondary_lag  `Xs' i.group  i.cohort if period~=1, vce(cluster  group_ed)
	outreg2 using output/table9.doc, keep(secondary_match match_multi_sec multi_secondary_lag) dec(3) append


* Column 4 -- Education minister x democracy, secondary years

gen min_multi_sec = lag_sec_minister*multi_secondary_lag
	label variable min_multi_sec "Ed. Minister Match x Multipary Years (secondary years)"

local Xs  catholic muslim protestant countryside male
regress secondary_years secondary_match lag_sec_minister min_multi_sec multi_secondary_lag `Xs' i.group  i.cohort if period~=1, vce(cluster  group_ed)
	outreg2 using output/table9.doc, keep(secondary_match lag_sec_minister_match min_multi_sec multi_secondary_lag) dec(3) append



